/*
 * Please do not edit this file.
 * It was generated using rpcgen.
 */

#ifndef _NULL_H_RPCGEN
#define _NULL_H_RPCGEN

#include <rpc/rpc.h>


#ifdef __cplusplus
extern "C" {
#endif


struct null_in {
	char dumb;
};
typedef struct null_in null_in;

struct null_out {
	char dumb;
};
typedef struct null_out null_out;

#define NULL_PROG 0x20000000
#define NULL_VERS 1

#if defined(__STDC__) || defined(__cplusplus)
#define NULL_PROC 1
extern  null_out * null_proc_1(null_in *, CLIENT *);
extern  null_out * null_proc_1_svc(null_in *, struct svc_req *);
extern int null_prog_1_freeresult (SVCXPRT *, xdrproc_t, caddr_t);

#else /* K&R C */
#define NULL_PROC 1
extern  null_out * null_proc_1();
extern  null_out * null_proc_1_svc();
extern int null_prog_1_freeresult ();
#endif /* K&R C */

/* the xdr functions */

#if defined(__STDC__) || defined(__cplusplus)
extern  bool_t xdr_null_in (XDR *, null_in*);
extern  bool_t xdr_null_out (XDR *, null_out*);

#else /* K&R C */
extern bool_t xdr_null_in ();
extern bool_t xdr_null_out ();

#endif /* K&R C */

#ifdef __cplusplus
}
#endif

#endif /* !_NULL_H_RPCGEN */
